Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_NS_Refcountable Class Reference

Thread-safe refounting, calls a Destroy_Callback when refcount falls to 0. More...

`#include <Refcountable.h>`

Inheritance diagram for TAO_NS_Refcountable:

[legend]
Collaboration diagram for TAO_NS_Refcountable:

[legend]
List of all members.

## Public Methods
| TAO_NS_Refcountable (void)
| Constuctor. More...
| ~TAO_NS_Refcountable ()
| Destructor. More...
void | destroy_callback (TAO_NS_Destroy_Callback *destroy_callback)
| Set the destroy callback. More...
CORBA::ULong | _incr_refcnt (void)
| This method sigantures deliberately match the RefCounting methods required for ESF Proxy. More...
CORBA::ULong | _decr_refcnt (void)
## Protected Attributes
CORBA::ULong | refcount_
| The reference count. More...
TAO_SYNCH_MUTEX | lock_
| The mutex to serialize access to state variables. More...
TAO_NS_Destroy_Callback * | destroy_callback_
| The callback when refcount falls to 0. More...

## Detailed Description

Thread-safe refounting, calls a Destroy_Callback when refcount falls to 0.

## Constructor & Destructor Documentation

TAO_NS_Refcountable::TAO_NS_Refcountable | ( | void |  | ) |

| Constuctor.

TAO_NS_Refcountable::~TAO_NS_Refcountable | ( |  | ) |

| Destructor.

## Member Function Documentation

CORBA::ULong TAO_NS_Refcountable::_decr_refcnt | ( | void |  | ) |

CORBA::ULong TAO_NS_Refcountable::_incr_refcnt | ( | void |  | ) |

| This method sigantures deliberately match the RefCounting methods required for ESF Proxy.

void TAO_NS_Refcountable::destroy_callback | ( | TAO_NS_Destroy_Callback * | destroy_callback | ) |

| Set the destroy callback.

## Member Data Documentation

TAO_NS_Destroy_Callback* TAO_NS_Refcountable::destroy_callback_`[protected]`

| The callback when refcount falls to 0.

TAO_SYNCH_MUTEX TAO_NS_Refcountable::lock_`[protected]`

| The mutex to serialize access to state variables.

CORBA::ULong TAO_NS_Refcountable::refcount_`[protected]`

| The reference count.

The documentation for this class was generated from the following files:

- Refcountable.h
- Refcountable.cpp